Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ee
Class ManagedConnectionImpl

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ee.ManagedConnectionImpl

All Implemented Interfaces:
  javax.resource.spi.ManagedConnection, javax.resource.spi.ManagedConnectionMetaData

public class ManagedConnectionImpl
extends Object
implements javax.resource.spi.ManagedConnection, javax.resource.spi.ManagedConnectionMetaData

A mostly no-op managed connection that exists for the convenient obtaining of a ConnectionFactory.

Constructor Summary
`ManagedConnectionImpl(JDOConnectionFactory jdofactory, ManagedConnectionFactoryImpl factory, javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri)`

Method Summary
`void` | `addConnectionEventListener(javax.resource.spi.ConnectionEventListener listener)`
`void` | `associateConnection(Object connection)`
`void` | `cleanup()`
`void` | `destroy()`
`Object` | `getConnection(javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri)`
`javax.resource.spi.ConnectionRequestInfo` | `getConnectionRequestInfo()`
`String` | `getEISProductName()`
`String` | `getEISProductVersion()`
`javax.resource.spi.LocalTransaction` | `getLocalTransaction()`
`PrintWriter` | `getLogWriter()`
`javax.resource.spi.ManagedConnectionFactory` | `getManagedConnectionFactory()`
`int` | `getMaxConnections()`
`javax.resource.spi.ManagedConnectionMetaData` | `getMetaData()`
`javax.security.auth.Subject` | `getSubject()`
`String` | `getUserName()`
`javax.transaction.xa.XAResource` | `getXAResource()`
`void` | `removeConnectionEventListener(javax.resource.spi.ConnectionEventListener listener)`
`void` | `setLogWriter(PrintWriter logWriter)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedConnectionImpl

    public ManagedConnectionImpl(JDOConnectionFactory jdofactory,
                                 ManagedConnectionFactoryImpl factory,
                                 javax.security.auth.Subject subject,
                                 javax.resource.spi.ConnectionRequestInfo cri)

Method Detail

### getConnection

    public Object getConnection(javax.security.auth.Subject subject,
                                javax.resource.spi.ConnectionRequestInfo cri)
                         throws javax.resource.ResourceException

  Specified by:
    `getConnection` in interface `javax.resource.spi.ManagedConnection`

### destroy

    public void destroy()
                 throws javax.resource.ResourceException

  Specified by:
    `destroy` in interface `javax.resource.spi.ManagedConnection`

### cleanup

    public void cleanup()
                 throws javax.resource.ResourceException

  Specified by:
    `cleanup` in interface `javax.resource.spi.ManagedConnection`

### associateConnection

    public void associateConnection(Object connection)
                             throws javax.resource.ResourceException

  Specified by:
    `associateConnection` in interface `javax.resource.spi.ManagedConnection`

### addConnectionEventListener

    public void addConnectionEventListener(javax.resource.spi.ConnectionEventListener listener)

  Specified by:
    `addConnectionEventListener` in interface `javax.resource.spi.ManagedConnection`

### removeConnectionEventListener

    public void removeConnectionEventListener(javax.resource.spi.ConnectionEventListener listener)

  Specified by:
    `removeConnectionEventListener` in interface `javax.resource.spi.ManagedConnection`

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws javax.resource.ResourceException

  Specified by:
    `getXAResource` in interface `javax.resource.spi.ManagedConnection`

### getLocalTransaction

    public javax.resource.spi.LocalTransaction getLocalTransaction()
                                                            throws javax.resource.ResourceException

  Specified by:
    `getLocalTransaction` in interface `javax.resource.spi.ManagedConnection`

### getMetaData

    public javax.resource.spi.ManagedConnectionMetaData getMetaData()
                                                             throws javax.resource.ResourceException

  Specified by:
    `getMetaData` in interface `javax.resource.spi.ManagedConnection`

### setLogWriter

    public void setLogWriter(PrintWriter logWriter)

  Specified by:
    `setLogWriter` in interface `javax.resource.spi.ManagedConnection`

### getLogWriter

    public PrintWriter getLogWriter()

  Specified by:
    `getLogWriter` in interface `javax.resource.spi.ManagedConnection`

### getManagedConnectionFactory

    public javax.resource.spi.ManagedConnectionFactory getManagedConnectionFactory()

### getSubject

    public javax.security.auth.Subject getSubject()

### getConnectionRequestInfo

    public javax.resource.spi.ConnectionRequestInfo getConnectionRequestInfo()

### getEISProductName

    public String getEISProductName()

  Specified by:
    `getEISProductName` in interface `javax.resource.spi.ManagedConnectionMetaData`

### getEISProductVersion

    public String getEISProductVersion()

  Specified by:
    `getEISProductVersion` in interface `javax.resource.spi.ManagedConnectionMetaData`

### getMaxConnections

    public int getMaxConnections()

  Specified by:
    `getMaxConnections` in interface `javax.resource.spi.ManagedConnectionMetaData`

### getUserName

    public String getUserName()

  Specified by:
    `getUserName` in interface `javax.resource.spi.ManagedConnectionMetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.